/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from 'react'
import Grid from '@material-ui/core/Grid';
import ResourceCardFunction from '../../ResourceCardFunction.js'
import { HeaderGrid, StyledGrid } from '../StyledComponents.js'
import { NoContent } from './TabInicio.js'

//Image Import
import ImportImages from "ImportImages.js"
const RecursoVazio = ImportImages('RecursoVazio');

export default function LastLearnObjs(props) {
    return (
        <React.Fragment>
            <HeaderGrid container>
                <Grid item xs={9}>
                    <h3>Últimos Recursos Publicados</h3>
                </Grid>
            </HeaderGrid>

            {
                props.count === 0 ?
                    (
                        [
                            <Grid container>
                                <Grid item xs={12}>
                                    <NoContent
                                        image={RecursoVazio}
                                        text1={props.username + " ainda não disponibilizou nenhum recurso."}
                                        text2={"Quando disponibilizar, eles aparecerão aqui."}
                                    />
                                </Grid>
                            </Grid>
                        ]
                    )
                    :
                    (
                        [
                            <StyledGrid container spacing={1} style={{ paddingLeft: "30px", paddingRight: "15px" }}>
                                {
                                    props.learningObjs.slice(0, 4).map((card) =>
                                        <Grid item xs={12} sm={6} md={'auto'} lg={3} key={card.id}>
                                            <ResourceCardFunction
                                                avatar={card.publisher.avatar}
                                                id={card.id}
                                                thumbnail={card.thumbnail}
                                                type={card.object_type ? card.object_type : "Outros"}
                                                title={card.name}
                                                published={card.state === "published" ? true : false}
                                                likeCount={card.likes_count}
                                                liked={card.liked}
                                                rating={card.review_average}
                                                author={card.publisher.name}
                                                tags={card.tags}
                                                href={"/recurso/" + card.id}
                                                downloadableLink={card.default_attachment_location}

                                            />
                                        </Grid>
                                    )
                                }
                            </StyledGrid>
                        ]
                    )
            }
        </React.Fragment>
    )
}
