/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from 'react'
import styled from 'styled-components'

export default function UserDescription (props) {
    return (
        <NoPadBox>
                <ContainerDiv>
                    <DivSobre>
                        <h3>Sobre</h3>
                        <p>{props.text}</p>
                    </DivSobre>
                </ContainerDiv>
        </NoPadBox>
    )
}

const DivSobre = styled.div`
    position : relative;
    min-height : 1px;
    padding-left : 30px;
    margin-bottom : 20px;
    @media screen and (min-width: 992px) {
        width : 66.66666667%;
        float : left;
    }

    h3 {
        font-size : 24px;
        margin-top : 20px;
        margin-bottom : 10px;
        font-family : inherit;
        font-weight: 500;
        line-height: 1.1;
        color: inherit;
    }

    p {
        margin : 0 0 10px;
    }
`

const ContainerDiv = styled.div`
    @media screen and (min-width: 1200px) {
        width : 1170px;
    }
    @media screen and (min-width: 992px) and (max-width : 1199px){
        width : 970px;
    }
    @media screen and (min-width: 768px) and (max-width : 991px) {
        width : 750px;
    }

`

const NoPadBox = styled.div`
    display : flex;
    flex-direction: column;
    margin-right : auto;
    margin-left : auto;
    padding : 0;
    background-color : #fff;
    box-shadow : 0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);
    margin-bottom : 30px;

    @media screen and (min-width: 768px) {
        width : max-content;
    }
`
